/* FONTS */
@import url('https://fonts.googleapis.com/css2?family=Bai+Jamjuree:wght@400;500;600;700&display=swap');

/* VARIABLES */
:root{
	--c-brand: #008dff;
	--c-brand-rgb: 248, 54, 145;
	--c-dark: #303050;
	--c-body: #636383;
	--f-main: "Bai Jamjuree", sans-serif;
	--transition: all .6s cubic-bezier(.165, .84, .44, 1);
	--shadow: 0px 15px 40px rgba(0,0,0,0.1);
}

body{
	font-family: var(--f-main);
	color: var(--c-body);
	line-height: 1.7;
}

h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, .h5, h6, .h6{
	font-weight: 700;
	color: var(--c-dark);
}

a {
	text-decoration: none;
	color: var(--c-dark);
	transition: var(--transition);
}

a:hover{
	color: var(--c-brand);
}

img{
	width: 100%;
}

.section-padding{
	padding-top: 120px;
	padding-bottom: 120px;
}

/* NAVBAR */
.navbar{
	padding-top: 15px;
	padding-bottom: 15px;
	z-index: 99999;
}

@media (min-width: 992px) {
	.navbar-expand-lg .navbar-nav .nav-link{
		padding-right: 16px;
		padding-left: 16px;
	}
}

.navbar .navbar-nav .nav-link{
	font-weight: 500;
	color: var(--c-dark);
}

.navbar .navbar-nav .nav-link:hover{
	color: var(--c-brand);
}

.navbar-brand {
	font-size: 24px;
	font-weight: 700;
	color: var(--c-dark);
}

.social-icon{
	width: 36px;
	height: 36px;
	background-color: var(--c-brand);
	color: white;
	border: 2px solid var(--c-brand);
	display: inline-flex;
	align-items: center;
	justify-content: center;
	margin-right: 6px;
}

.social-icon:hover{
	background-color: transparent;
}

.mainContainer{
	width: 100%;
	height: 100vh;
	overflow: hidden;
	position: relative;
	display: flex;
	justify-content: center;
	align-items: center;
	padding: 50px;
}

.mainContainer:before{
	content: "";
	position: absolute;
	bottom: 0;
	left: 50%;
	width: 100vh;
	height: 100vh;
	background: #008dff;
	border-radius: 50%;
	transform-origin: bottom;
	transform: translateX(-50%) translateY(-40%) scale(4);
}

.card-body {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.btn-primary {
	box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
	border: none;
	outline: none;
}

.btn-primary:hover {
	transition: all 0.3s ease;
	box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

.btn-primary:active {
	transition: all 0.3s ease;
}

.settings.container{
	width: 100%;
	height: 100%;
}

.ri-clipboard-line{
	font-size: 1rem;
	cursor: pointer;
}

.ri-clipboard-line:hover {
	transition: all 0.3s ease;
}

.ri-clipboard-line:active {
	transition: all 0.3s ease;
	box-shadow: none;
}

footer a{
	color: var(--c-dark);
}

footer a:hover{
	color: var(--c-brand);
}